Bug 44508 - Не работает функция "Установить" из вкладки Сервис kf5-purpose на Education KDE
Summary: Не работает функция "Установить" из вкладки Сервис kf5-purpose на Education KDE
Status: CLOSED WORKSFORME
Alias: None
Product: Sisyphus
Classification: Development
Component: kf5-purpose (show other bugs)
Version: unstable
Hardware: x86_64 Linux
: P5 normal
Assignee: Sergey V Turchin
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-12-01 15:15 MSK by Tatyana Gagina
Modified: 2022-12-01 15:57 MSK (History)
2 users (show)

See Also:


Attachments
failed (15.00 KB, image/png)
2022-12-01 15:15 MSK, Tatyana Gagina
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tatyana Gagina 2022-12-01 15:15:30 MSK
Created attachment 12009 [details]
failed

Стенд, обновлённый до Sisyphus:
education-10-x86-64-kde

Версия: kf5-purpose-5.100.0-alt2
kde5-spectacle-22.08.3-alt1

Шаги: 
1) Установить пакет:
# apt-get install kf5-purpose kde5-spectacle
2) Запустить из терминала: 
$ spectacle
3) Перейти во вкладку Сервис -> Запись экрана -> Дополнительно -> Peek -> Установить.

Результат: открылся Центр приложений с ошибкой "Не удалось установить: не поддерживается" (во вложении failed).
Причём, установка отдельно из Центр приложений работает корректно (без перехода по вкладкам в spectacle).

В терминале вывод: 
 $ spectacle
11:06:48:0791 Gs  failed to convert URL to GsApp: no application was created for running url-to-app on plugin=packagekit-url-to-app with dedupe-flags=7 with timeout=60 with search=appstream://com.github.vkohaupt.vokoscreenng/, elapsed time since creation 6ms

Аналогично для vokoscreenNG.
При попытке установить OBS Studio из вкладки "Сервис" вывод:
==================== Программа SSR остановлена ====================
11:04:03:0282 Gs  plugin appstream took 2,2 seconds to do setup
11:04:07:0334 Gs  plugin fwupd took 4,1 seconds to do setup
11:04:07:0995 PK  failed to set proxy: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._pk_2dengine_2derror_2dquark.Code3: setting the proxy failed: failed to get the uid
11:04:07:0996 GsPluginPackageKit failed to set proxies: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._pk_2dengine_2derror_2dquark.Code3: setting the proxy failed: failed to get the uid

Ожидаемый результат: при нажатии на вкладку "Установить" выполняется установка соответствующей программы.

Дополнительно, на kworkstation в данном случае открывается Discover, с помощью которого идёт установка. Замечание: если поставить на education kde пакет plasma5-discover, то ошибок нет, отрабатывает так же, как на kworkstation.

Проверялось в p10, ошибка воспроизводится (только на p10-education-10-x86-64-kde).
Comment 1 Sergey V Turchin 2022-12-01 15:32:33 MSK
plasma5-discover-5.26.4-alt1 устанавливается и с flathub и из alt.
Возможно, appstream-data старый.
Comment 2 Sergey V Turchin 2022-12-01 15:57:20 MSK
Ну и всё подряд новое уже на тестировании в p10.